<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="auft_auftragbestaetigung_summary" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="565" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="4639ce57-185c-4257-a0a6-0247dc10b9b0">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="P_MWST_TABELLE_LINKS" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Mehrwertsteuer-Tabelle: Linker Teil]]></parameterDescription>
	</parameter>
	<parameter name="P_MWST_TABELLE_RECHTS" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Mehrwertsteuer-Tabelle: Rechter Teil]]></parameterDescription>
	</parameter>
	<parameter name="P_MWST_TABELLE_WAEHRUNG" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Mehrwertsteuer-Tabelle: Waehrung]]></parameterDescription>
	</parameter>
	<parameter name="P_MWST_TABELLE_SUMME_POSITIONEN" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Mehrwertsteuer-Tabelle: Zusammenfassung]]></parameterDescription>
	</parameter>
	<parameter name="P_AUFTRAGSENDBETRAGMITMWST" class="java.math.BigDecimal" isForPrompting="false">
		<parameterDescription><![CDATA[Auftragsendbetrag mit Mehrwertsteuer]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_ALLGEMEINER_RABATT" class="java.lang.Double" isForPrompting="false">
		<parameterDescription><![CDATA[Allgemeiner Rabatt]]></parameterDescription>
	</parameter>
	<parameter name="P_PROJEKT_RABATT" class="java.lang.Double" isForPrompting="false">
		<parameterDescription><![CDATA[Projektbezogener Rabatt]]></parameterDescription>
	</parameter>
	<parameter name="P_BELEGWAEHRUNG" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Waehrung des Belegs]]></parameterDescription>
	</parameter>
	<parameter name="P_ALLGEMEINER_RABATT_STRING" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Allgemeiner Rabatt - Text]]></parameterDescription>
	</parameter>
	<parameter name="P_PROJEKT_RABATT_STRING" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Projektbezogener Rabatt - Text]]></parameterDescription>
	</parameter>
	<parameter name="P_AUFTRAGSWERT" class="java.math.BigDecimal" isForPrompting="false">
		<parameterDescription><![CDATA[Auftragswert]]></parameterDescription>
	</parameter>
	<parameter name="SUMME_GESAMTPREIS" class="java.math.BigDecimal"/>
	<parameter name="AUFTRAGEIGENSCHAFT_CLUSTER" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Auftragseigenschaft - Cluster]]></parameterDescription>
	</parameter>
	<parameter name="AUFTRAGEIGENSCHAFT_EQNR" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Auftragseigenschaft - Equipment-Nr.]]></parameterDescription>
	</parameter>
	<parameter name="AUFTRAGEIGENSCHAFT_FA" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Auftragseigenschaft - FA]]></parameterDescription>
	</parameter>
	<parameter name="P_AUFTRAGDOKUMENTE" class="java.lang.Object" isForPrompting="false"/>
	<parameter name="P_MAXIMALE_ABWEICHUNG" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_SUBDIRECTORY" class="java.lang.String"/>
	<parameter name="P_MODUL" class="java.lang.String"/>
	<parameter name="MANDANT_C_NR" class="java.lang.String">
		<parameterDescription><![CDATA[Der aktuelle Mandant]]></parameterDescription>
	</parameter>
	<title>
		<band height="118" splitType="Stretch">
			<line>
				<reportElement key="line-Gesamtsumme" mode="Opaque" x="360" y="0" width="130" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="64e18860-e1b9-4420-910b-93c0338f4ccb"/>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_BELEGWAEHRUNG" mode="Transparent" x="360" y="2" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="86f80e6a-fec4-4112-9f13-1993d5208e07">
					<printWhenExpression><![CDATA[new Boolean($P{P_ALLGEMEINER_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BELEGWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="false">
				<reportElement key="SUMME_GESAMTPREIS" mode="Transparent" x="395" y="2" width="95" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3216685f-7d80-463d-bf3d-b6edb1fccfa4">
					<printWhenExpression><![CDATA[new Boolean($P{P_ALLGEMEINER_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{SUMME_GESAMTPREIS}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_ALLGEMEINER_RABATT_STRING" mode="Transparent" x="0" y="14" width="350" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="72aa1c2b-7c3b-4532-8e45-42ff6d4e2fa5">
					<printWhenExpression><![CDATA[new Boolean($P{P_ALLGEMEINER_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["abzüglich " + $P{P_ALLGEMEINER_RABATT_STRING} + " % Allgemeiner Rabatt"]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="P_BELEGWAEHRUNG" mode="Transparent" x="360" y="14" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="32dbb1ce-eddb-49c1-947a-1d6640351c2f">
					<printWhenExpression><![CDATA[new Boolean($P{P_ALLGEMEINER_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BELEGWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="false">
				<reportElement key="ALLGEMEINER_RABATT_BETRAG" mode="Transparent" x="395" y="14" width="95" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="a386d845-f09f-4fef-ae0f-8771b8e3164e">
					<printWhenExpression><![CDATA[new Boolean($P{P_ALLGEMEINER_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{SUMME_GESAMTPREIS}.multiply(
    new BigDecimal($P{P_ALLGEMEINER_RABATT}.doubleValue()/100) )]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="Line-Allgemeiner_Rabatt" positionType="Float" mode="Opaque" x="360" y="27" width="130" height="1" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="c87ee920-cfcd-45c1-b3d1-bb2caaab0e44">
					<printWhenExpression><![CDATA[new Boolean($P{P_ALLGEMEINER_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_BELEGWAEHRUNG" positionType="Float" mode="Transparent" x="360" y="29" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="28fc3b34-d5cc-4db4-9073-60b1b06b234a">
					<printWhenExpression><![CDATA[new Boolean($P{P_PROJEKT_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BELEGWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="false">
				<reportElement key="ZWISCHENSUMME_ALLGEMEINER_RABATT" positionType="Float" mode="Transparent" x="395" y="29" width="95" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="4a001fdb-13fb-4750-b9c5-bcec908b2e1d">
					<printWhenExpression><![CDATA[new Boolean($P{P_PROJEKT_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{SUMME_GESAMTPREIS}.multiply(
    (new BigDecimal(1.0000).subtract(
     new BigDecimal($P{P_ALLGEMEINER_RABATT}.doubleValue()/100) )))]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_PROJEKT_RABATT_STRING" positionType="Float" mode="Transparent" x="0" y="41" width="350" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="e0a596f1-153c-4219-bfd8-decb28097521">
					<printWhenExpression><![CDATA[new Boolean($P{P_PROJEKT_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["abzüglich " + $P{P_PROJEKT_RABATT_STRING} + " % Projekt Rabatt"]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_BELEGWAEHRUNG" positionType="Float" mode="Transparent" x="360" y="41" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="558d0366-e9f8-428e-bbc6-79f06bffc6f9">
					<printWhenExpression><![CDATA[new Boolean($P{P_PROJEKT_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BELEGWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="false">
				<reportElement key="PROJEKT_RABATT_BETRAG" positionType="Float" mode="Transparent" x="395" y="41" width="95" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3012ad40-1e42-4e32-b94b-a171b20932f2">
					<printWhenExpression><![CDATA[new Boolean($P{P_PROJEKT_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{SUMME_GESAMTPREIS}.multiply(
    (new BigDecimal(1.0000).subtract(
     new BigDecimal($P{P_ALLGEMEINER_RABATT}.doubleValue()/100) )))
).multiply(new BigDecimal($P{P_PROJEKT_RABATT}.doubleValue()/100))]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="line-Projekt_Rabatt" positionType="Float" mode="Opaque" x="360" y="54" width="130" height="1" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="ef422470-c7c9-4aad-baaf-0c0ecdd6855c">
					<printWhenExpression><![CDATA[new Boolean($P{P_PROJEKT_RABATT}.intValue() != 0)]]></printWhenExpression>
				</reportElement>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="Nettobetrag vor Steuern" positionType="Float" mode="Transparent" x="0" y="56" width="350" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="225da2b7-227e-4f80-9df3-012f22aa67c2">
					<printWhenExpression><![CDATA[$P{P_MWST_TABELLE_RECHTS} != null &&
 $P{P_MWST_TABELLE_RECHTS}.length() > 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Nettobetrag vor Steuern"]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_BELEGWAEHRUNG" positionType="Float" mode="Transparent" x="360" y="56" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="70351679-1b91-453c-adf6-7eb8358f92d5">
					<printWhenExpression><![CDATA[$P{P_MWST_TABELLE_RECHTS} != null &&
 $P{P_MWST_TABELLE_RECHTS}.length() > 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BELEGWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="false">
				<reportElement key="P_AUFTRAGSWERT" positionType="Float" mode="Transparent" x="395" y="56" width="95" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="42711134-46ac-40e7-93f2-b5618ab6b135">
					<printWhenExpression><![CDATA[$P{P_MWST_TABELLE_RECHTS} != null &&  $P{P_MWST_TABELLE_RECHTS}.length() > 0]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{SUMME_GESAMTPREIS}.multiply(
    (new BigDecimal(1.0000).subtract(
     new BigDecimal($P{P_ALLGEMEINER_RABATT}.doubleValue()/100) )))
).multiply(
    (new BigDecimal(1.0000).subtract(
     new BigDecimal($P{P_PROJEKT_RABATT}.doubleValue()/100) )))]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="P_MWST_TABELLE_LINKS" positionType="Float" mode="Transparent" x="0" y="68" width="254" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3d1ad0ec-c536-4e0b-a22d-b568373181a4">
					<printWhenExpression><![CDATA[new Boolean($P{P_MWST_TABELLE_RECHTS} != null	)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MWST_TABELLE_LINKS}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00##;-#,##0.00##" isBlankWhenNull="false">
				<reportElement key="P_MWST_TABELLE_SUMME_POSITIONEN" positionType="Float" mode="Transparent" x="254" y="68" width="96" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="bffb6724-c2bd-4456-bb88-6679da853659">
					<printWhenExpression><![CDATA[new Boolean($P{P_MWST_TABELLE_RECHTS} != null	)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MWST_TABELLE_SUMME_POSITIONEN}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="P_MWST_TABELLE_WAEHRUNG" positionType="Float" mode="Transparent" x="360" y="68" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="d1f75c56-171f-44ab-9de5-42609cec85cb">
					<printWhenExpression><![CDATA[new Boolean($P{P_MWST_TABELLE_RECHTS} != null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MWST_TABELLE_WAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="false">
				<reportElement key="P_MWST_TABELLE_RECHTS" positionType="Float" mode="Transparent" x="395" y="68" width="95" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="7655c02b-16e2-49c9-956c-e5e7ef48799e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_MWST_TABELLE_RECHTS}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="line-Mwst" positionType="Float" mode="Opaque" x="360" y="81" width="130" height="1" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="f418583b-7e1c-4d4a-a533-cd74951fe07b">
					<printWhenExpression><![CDATA[$P{P_MWST_TABELLE_RECHTS} != null &&  $P{P_MWST_TABELLE_RECHTS}.length() > 0]]></printWhenExpression>
				</reportElement>
				<graphicElement fill="Solid">
					<pen lineWidth="0.5" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="Auftragsendbetrag" positionType="Float" mode="Transparent" x="0" y="83" width="350" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="50d9d8d7-7d5d-49bc-88fa-c6b17e41ebe4"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Auftragsendbetrag"]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="P_MWST_TABELLE_WAEHRUNG" positionType="Float" mode="Transparent" x="360" y="83" width="30" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="c2dd76b6-2f3a-4937-9341-8db0e9d1d29e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BELEGWAEHRUNG}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="false">
				<reportElement key="P_AUFTRAGSENDBETRAGMITMWST" positionType="Float" mode="Transparent" x="395" y="83" width="95" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="c993943f-e034-4f21-b38d-7fa1348da451">
					<printWhenExpression><![CDATA[com.lp.util.HelperReport.pruefeEndsumme(
(($P{SUMME_GESAMTPREIS}.multiply(
    (new BigDecimal(1.0000).subtract(
     new BigDecimal($P{P_ALLGEMEINER_RABATT}.doubleValue()/100) )))
).multiply(
    (new BigDecimal(1.0000).subtract(
     new BigDecimal($P{P_PROJEKT_RABATT}.doubleValue()/100) ))) ),
    $P{P_AUFTRAGSENDBETRAGMITMWST},
    $P{P_MAXIMALE_ABWEICHUNG},
    $P{P_MWST_TABELLE_RECHTS},
	$P{REPORT_LOCALE})]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_AUFTRAGSENDBETRAGMITMWST}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement key="line-Endbetrag" positionType="Float" mode="Opaque" x="360" y="95" width="130" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="6f55e76e-c110-487f-8369-702ae6fdf9ce"/>
				<graphicElement fill="Solid">
					<pen lineWidth="2.0" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="AUFTRAGEIGENSCHAFT_FA" positionType="Float" x="0" y="102" width="455" height="0" isRemoveLineWhenBlank="true" uuid="a4ce63d7-fb29-481b-8ad3-5d50b4e3e079">
					<printWhenExpression><![CDATA[new Boolean ($P{AUFTRAGEIGENSCHAFT_FA} != null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["FA: "+$P{AUFTRAGEIGENSCHAFT_FA}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="AUFTRAGEIGENSCHAFT_CLUSTER" positionType="Float" x="0" y="103" width="455" height="0" isRemoveLineWhenBlank="true" uuid="8bcf2547-80d2-42d3-b763-50a8a79cdff7">
					<printWhenExpression><![CDATA[new Boolean ( $P{AUFTRAGEIGENSCHAFT_CLUSTER}!= null )]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA["Cluster: "+$P{AUFTRAGEIGENSCHAFT_CLUSTER}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement key="AUFTRAGEIGENSCHAFT_EQNR" positionType="Float" x="0" y="104" width="455" height="0" isRemoveLineWhenBlank="true" uuid="6dd6ade2-5bb3-4d75-8cf8-e31511020f27">
					<printWhenExpression><![CDATA[new Boolean($P{AUFTRAGEIGENSCHAFT_EQNR}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression><![CDATA["EquipmentNr:"+$P{AUFTRAGEIGENSCHAFT_EQNR}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="false">
				<reportElement key="AuftragsDokumente" positionType="Float" x="0" y="105" width="108" height="12" isRemoveLineWhenBlank="true" uuid="110e98ff-3806-441f-84b4-dafa44b70c22">
					<printWhenExpression><![CDATA[new Boolean($P{P_AUFTRAGDOKUMENTE}!=null)]]></printWhenExpression>
				</reportElement>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
				</box>
				<textElement>
					<font fontName="Arial" isUnderline="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Auftragsdokumente:"]]></textFieldExpression>
			</textField>
			<subreport isUsingCache="true">
				<reportElement key="subreport-Auftragsdokumente" positionType="Float" mode="Transparent" x="108" y="105" width="397" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="37d7c12c-d7ac-4e9b-9c1a-4a95be925730">
					<printWhenExpression><![CDATA[new Boolean($P{P_AUFTRAGDOKUMENTE}!=null)]]></printWhenExpression>
				</reportElement>
				<dataSourceExpression><![CDATA[$P{P_AUFTRAGDOKUMENTE}]]></dataSourceExpression>
				<subreportExpression><![CDATA[new java.io.File(com.lp.util.HelperReport.getSubreportPath($P{P_MODUL}, "auft_auftragdokumente", $P{MANDANT_C_NR},  $P{REPORT_LOCALE}, $P{P_SUBDIRECTORY}) ).toURL()
/*
new java.io.File($P{REPORT_DIRECTORY} + "auft_auftragdokumente.jasper").toURL() */]]></subreportExpression>
			</subreport>
		</band>
	</title>
</jasperReport>
